package com.qmth.teachcloud.report.business.bean.dto.excel;


import com.qmth.teachcloud.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

public class PaperStructDto implements Serializable {

    @ExcelNote(value = "试卷编号")
    @NotNull
    private String paperCode; //试卷类型

    @ExcelNote(value = "题号类型")
    @NotNull
    private String numberType;

    @ExcelNote(value = "大题号")
    @NotNull
    private String mainNumber; //大题号

    @ExcelNote(value = "小题号")
    @NotNull
    private String subNumber; //小题号

    @ExcelNote(value = "反应类型")
    private String questionType; //题目类型

    @ExcelNote(value = "题目满分")
    @NotNull
    private String fullScore; //题目满分

    @ExcelNote(value = "计分规则")
    private String scoreRules; //计分规则

    @ExcelNote(value = "规则说明")
    private String rulesDesc; //规则说明

    @ExcelNote(value = "科目名称")
    @NotNull
    private String courseName; //试卷名称

    @ExcelNote(value = "课程代码")
    @NotNull
    private String courseCode; //课程代码

    @ExcelNote(value = "知识模块")
    private String knowledgeDimension; //知识维度

    @ExcelNote(value = "能力模块")
    private String abilityDimension; //能力维度

    public String getPaperCode() {
        return paperCode;
    }

    public void setPaperCode(String paperCode) {
        this.paperCode = paperCode;
    }

    public String getNumberType() {
        return numberType;
    }

    public void setNumberType(String numberType) {
        this.numberType = numberType;
    }

    public String getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(String mainNumber) {
        this.mainNumber = mainNumber;
    }

    public String getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(String subNumber) {
        this.subNumber = subNumber;
    }

    public String getQuestionType() {
        return questionType;
    }

    public void setQuestionType(String questionType) {
        this.questionType = questionType;
    }

    public String getFullScore() {
        return fullScore;
    }

    public void setFullScore(String fullScore) {
        this.fullScore = fullScore;
    }

    public String getScoreRules() {
        return scoreRules;
    }

    public void setScoreRules(String scoreRules) {
        this.scoreRules = scoreRules;
    }

    public String getRulesDesc() {
        return rulesDesc;
    }

    public void setRulesDesc(String rulesDesc) {
        this.rulesDesc = rulesDesc;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getKnowledgeDimension() {
        return knowledgeDimension;
    }

    public void setKnowledgeDimension(String knowledgeDimension) {
        this.knowledgeDimension = knowledgeDimension;
    }

    public String getAbilityDimension() {
        return abilityDimension;
    }

    public void setAbilityDimension(String abilityDimension) {
        this.abilityDimension = abilityDimension;
    }
}
